Package edu.wisc.game.sql

## Class Piece.Shape

- java.lang.Object
- - edu.wisc.game.sql.Piece.PseudoEnum
  - - edu.wisc.game.sql.Piece.Shape

- Enclosing class:
    Piece

      public static class Piece.Shape
      extends Piece.PseudoEnum

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Piece.Shape` | `CIRCLE` |
    `static Piece.Shape[]` | `legacyShapes` |
    `static Piece.Shape` | `SQUARE` |
    `static Piece.Shape` | `STAR` |
    `static Piece.Shape` | `TRIANGLE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `static Piece.Shape` | `findShape​(String s)` | Finds an already existing Shape object with a specified name, or creates a new one
    `static Piece.Shape[]` | `findShapes​(String[] v)` |
    `Collection<Piece.Shape>` | `listAllShapes()` | Lists all shapes known to the system so far
    `String` | `symbol()` | A human-readable representation of the shape, for use in ASCII graphics

    - ### Methods inherited from class edu.wisc.game.sql.Piece.PseudoEnum

      `hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SQUARE

          public static final Piece.Shape SQUARE

    - #### STAR

          public static final Piece.Shape STAR

    - #### CIRCLE

          public static final Piece.Shape CIRCLE

    - #### TRIANGLE

          public static final Piece.Shape TRIANGLE

    - #### legacyShapes

          public static final Piece.Shape[] legacyShapes

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### listAllShapes

          public Collection<Piece.Shape> listAllShapes()

      Lists all shapes known to the system so far

    - #### findShape

          public static Piece.Shape findShape​(String s)

      Finds an already existing Shape object with a specified name, or creates a new one

    - #### findShapes

          public static Piece.Shape[] findShapes​(String[] v)

    - #### symbol

          public String symbol()

      A human-readable representation of the shape, for use in ASCII graphics